// API handling for Smartship module
document.addEventListener("DOMContentLoaded", function () {
  // API endpoints
  const API_ENDPOINTS = {
    estimare_cost: "estimare_cost",
    emite_awb: "emite_awb",
    get_judete: "get_judete",
    get_localitati: "get_localitati",
    search_localitati: "search_localitati",
    get_expeditori: "get_expeditori",
  };

  // Helper function to make API requests
  window.smartshipApi = {
    request: async function (action, data = {}) {
      try {
        const response = await fetch(`/module/smartship/api?action=${action}`, {
          method: "POST",
          headers: {
            "Content-Type": "application/json",
          },
          body: JSON.stringify(data),
        });

        if (!response.ok) {
          throw new Error(`HTTP error! status: ${response.status}`);
        }

        return await response.json();
      } catch (error) {
        console.error("API Error:", error);
        throw error;
      }
    },
  };
});
